Name:           perl-Makefile-Parser
Version:        0.211
Release:        2%{?dist}
Summary:        Simple parser for Makefiles
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Makefile-Parser/
Source0:        http://www.cpan.org/authors/id/A/AG/AGENT/Makefile-Parser-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 1:5.6.1
BuildRequires:  perl(Class::Accessor::Fast)
BuildRequires:  perl(Class::Trigger) >= 0.13
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Slurp)
BuildRequires:  perl(IPC::Run3) >= 0.036
BuildRequires:  perl(List::MoreUtils)
BuildRequires:  perl(Makefile::DOM) >= 0.003
BuildRequires:  perl(MDOM::Document::Gmake)
BuildRequires:  perl(MDOM::Util)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Text::Balanced)
BuildRequires:  perl(Time::HiRes)
Requires:       perl(Class::Accessor::Fast)
Requires:       perl(Class::Trigger) >= 0.13
Requires:       perl(File::Slurp)
Requires:       perl(List::MoreUtils)
Requires:       perl(Makefile::DOM) >= 0.003
Requires:       perl(Text::Balanced)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This is a simple parser for Makefiles. At this very early stage, the parser
only supports a limited set of features, so it may not recognize most of
the advanced features provided by certain make tools like GNU make. Its
initial purpose is to provide basic support for another module named
Makefile::GraphViz, which is aimed to render the building process specified
by a Makefile using the amazing GraphViz library. The Make module is not
satisfactory for this purpose, so I decided to build one of my own.

%prep
%setup -q -n Makefile-Parser-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*
%{_mandir}/man1/*
%{_bindir}/makesimple
%{_bindir}/pgmake-db
%{_bindir}/plmake

%changelog
* Tue May 21 2013 Petr Pisar <ppisar@redhat.com> - 0.211-2
- Build-require MDOM::Document::Gmake, MDOM::Util, and Time::HiRes explicitly
  (Resolves: #657496)

* Fri Jan 22 2010 Dennis Gregorovic <dgregor@redhat.com> - 0.211-1.1
- Rebuilt for RHEL 6
Related: rhbz#543948

* Sun Jun 21 2009 Jeff fearn <jfearn@redhat.com> 0.211-1
- Specfile autogenerated by cpanspec 1.78.
